<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.2.0/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/wow/1.1.2/wow.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.1.20/jquery.fancybox.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.13/js/intlTelInput-jquery.min.js"></script>
<script>
    function stickyHeader() {
        if ($(".menubar").length) {
            var HeaderPos = 100;
            if ($(window).scrollTop() > HeaderPos) {
                $(".menubar").addClass("stricky-fixed")
            } else {
                if ($(this).scrollTop() <= HeaderPos) {
                    $(".menubar").removeClass("stricky-fixed");
                }
            }
        }
    }
    jQuery(window).on("scroll", function() {
        (function(HeaderPos) {
            stickyHeader()
        })(jQuery)
    });


    if ($(".navigation").length) {
        $(".navigation .navbar button").on("click", function() {
            $(".navigation .menu").slideToggle();
            $(this).toggleClass('open');
            return false;
        });
        $(".navigation .cs-submenu").children("a").append(function() {
            return '<button class="dropdown-expander"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z"/></svg></button>';
        });

    }

    if (document.documentElement.clientWidth < 1023) {
        $(".navigation .menu .dropdown-expander").on("click", function() {
            $(this).parent().parent().children(".cs-dropdown").slideToggle();
            console.log($(this).parents("li"));
            console.log($(this).parents().children(".dropdown-expander").toggleClass("rotated"));
            return false
        })
        $(document).click(function(e) {
            if (!$(e.target).closest('.navigation .navbar button').length) {
                $('.navigation .menu').stop(true).slideUp();
                $(".navigation .navbar button").removeClass('open');

            }
        });
    }


    var homeSlider = $("#slider");
    homeSlider.owlCarousel({
        loop: true,
        margin: 0,
        navSpeed: 500,
        nav: true,
        navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
        autoplay: true,
        dots: false,
        animateOut: "fadeOut",
        items: 1,
        responsiveClass: true,
        responsive: {
            0: {
                nav: false
            },
            600: {
                nav: false
            },
            1024: {},
            1100: {}
        }
    });


    var popularCourse = $("#popularCourse");
    popularCourse.owlCarousel({
        loop: false,
        margin: 20,
        navSpeed: 500,
        nav: true,
        navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
        autoplay: false,
        dots: false,
        items: 3,
        responsiveClass: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 1,
            },
            1024: {
                items: 3
            },
            1100: {
                items: 3
            }
        }
    });


    var testimonials = $("#testimonials");
    testimonials.owlCarousel({
        loop: true,
        margin: 0,
        navSpeed: 500,
        nav: false,
        navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
        autoplay: false,
        dots: true,
        items: 1,
        responsiveClass: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 1,
            },
            1024: {
                items: 1
            },
            1100: {
                items: 1
            }
        }
    });


    var clients = $("#clients");
    clients.owlCarousel({
        loop: true,
        margin: 0,
        navSpeed: 500,
        nav: false,
        navText: ['<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/></svg>', '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/></svg>'],
        autoplay: true,
        dots: false,
        items: 1,
        responsiveClass: true,
        responsive: {
            0: {
                items: 2
            },
            600: {
                items: 2,
            },
            1024: {
                items: 6
            },
            1100: {
                items: 6
            }
        }
    });
    wow = new WOW({
        animateClass: 'animated',
        offset: 100,
        mobile: false
    });
    wow.init();


    $(window).on("scroll", function() {
        if ($(this).scrollTop() > 100) {
            $("#web-pulse-scroll-up").fadeIn()
        } else {
            $("#web-pulse-scroll-up").fadeOut()
        }
    });
    $("#web-pulse-scroll-up").on("click", function() {
        $("html, body").animate({
            scrollTop: 0
        }, 600);
        return false
    });
    $('#thumbs img').click(function() {
        $('#largeImage').attr('src', $(this).attr('src').replace('thumb', 'large'));
        if ($(this).hasClass("active")) {
            $("#thumbs img").removeClass("active");
        } else {
            $("#thumbs img").removeClass("active");
            $(this).addClass("active");
        }
    });

    function ValidateAlpha(evt) {
        var keyCode = (evt.which) ? evt.which : evt.keyCode
        if ((keyCode < 65 || keyCode > 90) && (keyCode < 97 || keyCode > 123) && keyCode != 32)

            return false;
        return true;
    }

    function isNumberKey(evt) {
        //var e = evt || window.event;
        var charCode = (evt.which) ? evt.which : evt.keyCode
        if (charCode != 46 && charCode > 31 &&
            (charCode < 48 || charCode > 57))
            return false;
        return true;
    }

    function validateOnlyTextField(element) {
        var str = element.value;
        if (str == ' ') {
            element.value = "";
        }
        if (!(/^[a-zA-Z\s]+$/.test(str))) {
            // console.log('String contain number characters');
            str = str.substr(0, str.length - 1);
            element.value = "";
        }
    }
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.9.0/jquery.validate.min.js"></script>


<?php include "app_modal.php"; ?>

<script>
    $(document).ready(function() {

        $("#contact_form").validate({
            rules: {
                name: "required",
                message: {
                    required: true,

                },
                location: {
                    required: true,

                },
                email: {
                    required: true,

                },
                mobile: {
                    required: true,
                    number: true,
                    minlength: 8,
                    maxlength: 12,
                }
            },
            messages: {
                name: "Please enter your name",
                message: {
                    required: "Please enter your message",

                },

                email: {
                    required: "Please enter your email address"
                },
                location: {
                    required: "Please enter your location",

                },
                mobile: {
                    required: "Please enter your mobile no.",
                    number: "Mobile No. contains only numbers",
                    minlength: "Your Mobile No. must be at least 8-12 digits long",
                    maxlength: "Your Mobile No. must be at least 8-12 digits long",
                }
            },
            submitHandler: function(form) {
                $.ajax({
                    url: '<?= site_url; ?>/contact.php',
                    type: 'POST',
                    data: $('#contact_form').serialize(),
                    dataType: 'json',
                    success: function(response) {
                        if (response.status == true) {
                            $('#pop_up').text(response.message_response).css('color',
                                'green');
                            $('#contact_form')[0].reset();
                            grecaptcha.reset();

                        } else {
                            $('#pop_up').text(response.message_response).css('color',
                                'red');

                        }
                    }
                });

            }
        });
    });

    $(document).ready(function() {

        $("#enq_pop_form1").validate({
            rules: {
                name: "required",
                message: {
                    required: true,

                },
                location: {
                    required: true,

                },
                email: {
                    required: true,

                },
                mobile: {
                    required: true,
                    number: true,
                    minlength: 8,
                    maxlength: 12,
                }
            },
            messages: {
                name: "Please enter your name",
                message: {
                    required: "Please enter your message",

                },

                email: {
                    required: "Please enter your email address"
                },
                location: {
                    required: "Please enter Your Location",

                },
                mobile: {
                    required: "Please enter your mobile no.",
                    number: "Mobile No. contains only numbers",
                    minlength: "Your Mobile No. must be at least 8-12 digits long",
                    maxlength: "Your Mobile No. must be at least 8-12 digits long",
                }
            },
            submitHandler: function(form) {
                $.ajax({
                    url: '<?= site_url; ?>/enquiry_popup.php',
                    type: 'POST',
                    data: $('#enq_pop_form1').serialize(),
                    dataType: 'json',
                    success: function(response) {
                        if (response.status == true) {
                            $('#enq_pop_up').text(response.message_response).css('color',
                                'green');
                            $('#enq_pop_form1')[0].reset();
                            grecaptcha.reset();

                        } else {
                            $('#enq_pop_up').text(response.message_response).css('color',
                                'red');

                        }
                    }
                });

            }
        });
    });

    $(document).ready(function() {

        $("#product_pop_form").validate({
            rules: {
                name: "required",
                message: {
                    required: true,

                },
                location: {
                    required: true,

                },
                email: {
                    required: true,

                },
                mobile: {
                    required: true,
                    number: true,
                    minlength: 8,
                    maxlength: 12,
                }
            },
            messages: {
                name: "Please enter your name",
                message: {
                    required: "Please enter your message",

                },

                email: {
                    required: "Please enter your email address"
                },
                location: {
                    required: "Please enter Your Location",

                },
                mobile: {
                    required: "Please enter your mobile no.",
                    number: "Mobile No. contains only numbers",
                    minlength: "Your Mobile No. must be at least 8-12 digits long",
                    maxlength: "Your Mobile No. must be at least 8-12 digits long",
                }
            },
            submitHandler: function(form) {
                $.ajax({
                    url: '<?= site_url; ?>/enquirycat_popup.php',
                    type: 'POST',
                    data: $('#product_pop_form').serialize(),
                    dataType: 'json',
                    success: function(response) {
                        if (response.status == true) {
                            $('#cat_pop_up').text(response.message_response).css('color',
                                'green');
                            $('#product_pop_form')[0].reset();
                            grecaptcha.reset();

                        } else {
                            $('#cat_pop_up').text(response.message_response).css('color',
                                'red');

                        }
                    }
                });

            }
        });
    });
    $(document).ready(function() {

        $("#callback_form").validate({
            rules: {
                name: "required",

                mobile: {
                    required: true,
                    number: true,
                    minlength: 8,
                    maxlength: 12,
                }
            },
            messages: {
                name: "Please enter your name",
                mobile: {
                    required: "Please enter your mobile no.",
                    number: "Mobile No. contains only numbers",
                    minlength: "Your Mobile No. must be at least 8-12 characters long",
                }
            },
            submitHandler: function(form) {
                $.ajax({
                    url: '<?= site_url; ?>/ajax_enq_action.php',
                    type: 'POST',
                    data: $('#callback_form').serialize(),
                    dataType: 'json',
                    success: function(response) {
                        if (response.status == true) {
                            $('#cpop_up').text(response.message_response).css('color',
                                'green');
                            $('#callback_form')[0].reset();
                            grecaptcha.reset();

                        } else {
                            $('#cpop_up').text(response.message_response).css('color',
                                'red');

                        }
                    }
                });

            }
        });
    });


    $(document).ready(function() {
        $('#whatsEnq').click(function(e) {


            e.preventDefault();
            var wname = $('#wmname').val();
            var wmobile = $('#wmobile').val();
            $.ajax({
                url: "<?= site_url; ?>/whatsapp_enq.php",
                data: $('#contact_id').serialize(),
                type: "POST",
                success: function(data) {

                    if (data.trim() == 'success') {

                        $('#whatsapp_response').html('<div class="alert alert-success">Whatsapp Enquiry Submitted successfully</div>');
                        $('#whatsappEnq').trigger('reset');

                        window.open("https://api.whatsapp.com/send?phone=919958329771&text=&source=&data=&app_absent=", "_blank");
                        $('#contact_id')[0].reset();
                        document.getElementById('contact_id').reset();
                    } else {

                        $('#whatsapp_response').html(data);
                    }
                }

            })

        })
    })

    $(".telePhone").intlTelInput({
        preferredCountries: ["in", "us"],
        initialCountry: "in",
        separateDialCode: true,
    });
</script>

<script>
    setTimeout(function() {
        $.getScript("https://www.google.com/recaptcha/api.js")
    }, 10000);


//disabling context menu
document.onkeydown = function (e) {
    if (e.ctrlKey &&
        (e.keyCode === 67 ||
            e.keyCode === 86 ||
            e.keyCode === 85 ||
            e.keyCode === 117)) {
        return false;
    } else {
        return true;
    }
};
$(document).keypress("u", function (e) {
    if (e.ctrlKey) {
        return false;
    }
    else {
        return true;
    }
});
document.addEventListener("contextmenu", function (e) {
    e.preventDefault();
}, false);
</script>